libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DataSourceInfo Class Reference

List of all members.

## Public Member Functions

| DataSourceInfo ()
| DataSourceInfo (const DataSourceInfo& src)
| DataSourceInfo (GdaDataSourceInfo* castitem, bool make_a_copy=false)
Glib::ustring | get_cnc_string () const
Glib::ustring | get_description () const
Glib::ustring | get_name () const
Glib::ustring | get_password () const
Glib::ustring | get_provider () const
Glib::ustring | get_username () const
const GdaDataSourceInfo* | gobj () const
GdaDataSourceInfo* | gobj ()
GdaDataSourceInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| operator bool () const
DataSourceInfo& | operator= (const DataSourceInfo& src)
void | set_cnc_string (const Glib::ustring& value)
void | set_description (const Glib::ustring& value)
void | set_name (const Glib::ustring& value)
void | set_password (const Glib::ustring& value)
void | set_provider (const Glib::ustring& value)
void | set_username (const Glib::ustring& value)
| ~DataSourceInfo ()

## Protected Attributes

GdaDataSourceInfo* | gobject_

## Related Functions

(Note that these are not member functions.)
Gnome::Gda::DataSourceInfo | wrap (GdaDataSourceInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gnome::Gda::DataSourceInfo::DataSourceInfo | ( | GdaDataSourceInfo * | castitem,
|  | bool | make_a_copy = `false` |
| ) |  |  | `[explicit]`

Gnome::Gda::DataSourceInfo::DataSourceInfo | ( | const DataSourceInfo& | src | ) |

Gnome::Gda::DataSourceInfo::~DataSourceInfo | ( |  | ) |

Gnome::Gda::DataSourceInfo::DataSourceInfo | ( |  | ) |

## Member Function Documentation

Glib::ustring Gnome::Gda::DataSourceInfo::get_cnc_string | ( |  | ) | const

Glib::ustring Gnome::Gda::DataSourceInfo::get_description | ( |  | ) | const

Glib::ustring Gnome::Gda::DataSourceInfo::get_name | ( |  | ) | const

Glib::ustring Gnome::Gda::DataSourceInfo::get_password | ( |  | ) | const

Glib::ustring Gnome::Gda::DataSourceInfo::get_provider | ( |  | ) | const

Glib::ustring Gnome::Gda::DataSourceInfo::get_username | ( |  | ) | const

const GdaDataSourceInfo* Gnome::Gda::DataSourceInfo::gobj | ( |  | ) | const`[inline]`

GdaDataSourceInfo* Gnome::Gda::DataSourceInfo::gobj | ( |  | ) | `[inline]`

GdaDataSourceInfo* Gnome::Gda::DataSourceInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Gnome::Gda::DataSourceInfo::operator bool | ( |  | ) | const

DataSourceInfo& Gnome::Gda::DataSourceInfo::operator= | ( | const DataSourceInfo& | src | ) |

void Gnome::Gda::DataSourceInfo::set_cnc_string | ( | const Glib::ustring & | value | ) |

void Gnome::Gda::DataSourceInfo::set_description | ( | const Glib::ustring & | value | ) |

void Gnome::Gda::DataSourceInfo::set_name | ( | const Glib::ustring & | value | ) |

void Gnome::Gda::DataSourceInfo::set_password | ( | const Glib::ustring & | value | ) |

void Gnome::Gda::DataSourceInfo::set_provider | ( | const Glib::ustring & | value | ) |

void Gnome::Gda::DataSourceInfo::set_username | ( | const Glib::ustring & | value | ) |

## Friends And Related Function Documentation

Gnome::Gda::DataSourceInfo wrap | ( | GdaDataSourceInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaDataSourceInfo* Gnome::Gda::DataSourceInfo::gobject_`[protected]`

The documentation for this class was generated from the following file:

- datasourceinfo.h